/*-----------------bootstrap variables--------------------*/
$success: #29d487;
$danger: #EB4E3F;
$primary: #422134;
$warning: #ffc424;
$secondary: #ffffff;
$accent1: #983E51;
$accent2: #C74E61;
$info: $accent1;
$breadcrumb-divider: quote(">");

/*-----------------sidebar colors--------------------*/
$bg-sidebar-wrapper: #fff;
$footer-top-border-color: #3a3a3a;
$color: #212529;
$header-menu-color: #6c7b88;
$hover-color: $accent1;
$shadow-color: #131212;
$bg-scrollbar: #636363;
$sidebar-width: 230px;

/*-----------------tour-guide--------------------*/
$tour-next-button-color : $primary;

@import "../node_modules/bootstrap/scss/bootstrap";
@import "sidebar";
@import '../node_modules/ngx-guided-tour/scss/guided-tour-base-theme.scss';


@font-face {
  font-family: 'Roboto';
  src: url('assets/font/Roboto/Roboto-Regular.ttf');
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes slideIn {
  from {
    right: -450px;
  }
  to {
    right: 0;
  }
}

a {
  color: $primary;
}

a:hover {
  color: $accent1;
}

.answerSection {
  border-top: #dedede 1px solid;
  padding-top: 10px;
}

.app-notification {
  border-radius: 0;
  animation: slideIn 0.1s linear;
}

.app-notification-container {
  top: 60px;
  right: 0;
  z-index: 1500;
}

body {
  font-family: 'Roboto', sans-serif;
  background-color: #e2e2e2;
}

.back-button, .skip-button{
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0.375rem 0.75rem !important;
  font-size: 1rem !important;
  line-height: 1.5;
  margin-right: 0.5rem;
  border-radius: 0.25rem !important;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

  color: $primary !important;
  border: 1px solid $primary !important;

  &:hover{
    color: #fff !important;
    background-color: $primary !important;
    border-color: #e6e5e5 !important;
  }
}

.backdrop {
  -webkit-backdrop-filter: blur(1px);
  backdrop-filter: blur(1px);
  background-color: rgba(0, 0, 0, 0.3);
}

.badge-secondary{
  border: 1px solid $gray-400;
}

.badge-small {
  padding: 0.4em 0.4em 0.3em
}

.badge-success {
  color: #fff;
}

.bg-concert {
  background: #ffe291 !important;
}

.bg-white {
  background: white;
}

.breadcrumb{
  background-color: transparent;
  margin: 0;
  padding: 0 1rem 0.5rem;
}

.btn-flat {
  line-height: 1;
  font-size: 0.9rem;
}

.btn-outline-success:hover {
  color: #FFF;
}

.btn-round {
  height: 45px;
  width: 45px;
  border-radius: 50px;
  background-color: $primary;
  background-image: linear-gradient(to bottom right, $primary, $accent1);
  color: white;
  font-size: 20px;
  transition: 0.3s;
  cursor: pointer;

  &:hover {
    box-shadow: rgba(0, 0, 0, 0.3) 0 0 3px 2px;
    color: $accent2;
  }
}

.btn-round-sm {
  height: 30px;
  width: 30px;
  font-size: 15px;
}

.btn-secondary {
  box-shadow: rgba(0, 0, 0, 0.12) 0 1px 1px 0,
  rgba(60, 66, 87, 0.16) 0 0 0 1px,
  rgba(60, 66, 87, 0.12) 0 2px 5px 0
}

.btn-sm {
  padding: 0.35rem 0.3rem;
  font-size: 0.76rem;
  line-height: 1;
  border-radius: 0.15rem;
}

.btn-success {
  color: #FFF;

  &:hover {
    color: #FFF;
  }

  .disabled, &:disabled {
    color: #fff;
  }
}

.card {
  border: 1px solid $gray-500;
  border-radius: 0;
  transition: 0.3s;
}

.card-controls {
  float: right;
}

.card-event {
  border-radius: 0;
  border-top: $gray-500 1px solid;
  background-color: #FFF;
  margin: 0;
  padding: 11px 16px;
  -webkit-box-shadow: 0 16px 20px 0 rgba(219, 219, 219, 0.55);
  -moz-box-shadow: 0 16px 20px 0 rgba(219, 219, 219, 0.55);
  box-shadow: 0 16px 20px 0 rgba(219, 219, 219, 0.55);

  &:first-child {
    border: none;
  }
}

.card-header {
  padding: 0.75rem 1.25rem 0.1rem 0.8rem;
}

.card-heading {
  padding: 0.8rem 1rem 0;
  border-bottom: 1px solid $gray-500;
  background: #fff;
}

.card-help {
  transition: color 0.15s;
  cursor: pointer;

  &:hover {
    color: $accent1;
  }
}

.card-service {
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

  &:hover {
    background-color: #d8ee90;
    cursor: pointer;
  }

  &:focus {
    outline: 0;
  }

  &:active {
    background-color: #dddddd;
  }
}

.card-hoverable {
  &:hover {
    background-color: $gray-300;
    cursor: pointer;
    box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.12), 0 3px 6px 0 rgba(0, 0, 0, 0.12);
  }
}

.cal-month-view .cal-day-cell.cal-today .cal-day-number {
  font-size: 1.5em;
  color: black;
}

.card-title {
  font-weight: bold;
}

.cc-revoke {
  display: block !important;
}

.cell-totals {
  margin: 5px;
  text-align: center;
}

.ck.ck-balloon-panel {
  z-index: 1060 !important;
}

.ck-editor__editable {
  min-height: 150px;
  border: 1px solid #9B9B9B !important;
}

.comment {
  background-color: #e7e7e7;
  border-radius: 10px;
  padding: 3px 10px;
  font-size: 14px;
  margin-top: 5px;
}

.comment-editable {
  padding: 0;
}

.cursor-pointer {
  cursor: pointer;
}

.event-address {
  font-size: 13px;
}

.event-announcement {
  float: right;
}

.event-container {
  max-height: 30rem;
  overflow-y: auto;
}

.event-dropdown {
  margin: 0 -5.7rem;
}

.event-name {
  font-weight: bold;
  font-size: 15px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 2px;
}

.event-status {
  font-size: 14px;
}

.event-time {
  font-size: 14px;
}

.event-toolbar {
  border-top: #9B9B9B solid 1px;
  margin-top: 5px;
  padding-top: 5px;
}

.event-type {
  font-style: italic;
}

.feedback {
  width: 250px;
  font-size: 14px;
  padding: 0;
  border: none;

  &:focus {
    border: none;
    box-shadow: none;
  }

  &::placeholder {
    font-size: 14px;
  }
}

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 60px; /* Set the fixed height of the footer here */
  line-height: 60px; /* Vertically center the text there */
  background-color: #ffffff;
  z-index: 101;
}

.force-inline {
  overflow: hidden;
  white-space: nowrap;
}

.form-control::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #a8a8a8;
  opacity: 1; /* Firefox */
}

.form-control::-ms-input-placeholder { /* Microsoft Edge */
  color: #a8a8a8;
}

.form-control-no-bg {
  background-color: inherit;

  &:focus {
    background-color: inherit;
    border-radius: 10px;
  }
}

.form-input-error{
  width: 100%;
  font-size: 80%;
  color: #dc3545;
  margin-top: .25rem;
}

@media (max-width: map_get($grid-breakpoints, sm)) {
  h1 {
    font-size: 2rem;
  }
  h2 {
    font-size: 1.75rem;
  }
  h3 {
    font-size: 1.5rem;
  }
}

.img-circle {
  border-radius: 100%;
}

.img-hoverable {
  opacity: 1;
  display: block;
  height: auto;
  transition: .5s ease;
  backface-visibility: hidden;
}

label.required:after {
  color: #d00;
  content: "*";
  position: absolute;
  margin-left: 2px;
}

.labeled-radio {
  background-color: #eee;
  display: inline-block;
  padding: 3px;
  border-radius: 30px;

  input {
    display: none;
  }

  label {
    padding: 10px 26px 10px 26px;
    position: relative;
    margin: 0;
    display: inline-block;
    border-radius: 30px;
    cursor: pointer;
  }

  input:checked + label {
    background-color: $primary;
    color: #fff;
  }

}

.mail-recipients {
  max-height: 90px;
  overflow: scroll;
}

.mail-table {
  border: 0.11rem solid #bfbfbf;
}

.main-container {
  margin: 5rem 0 0 calc(#{$sidebar-width} + 5px);
}

@media (max-width: map_get($grid-breakpoints, lg)) {
  .main-container {
    margin: 4.5rem 0;
  }

  .mini-sidebar .main-container {
    margin: 4.5rem 0 0 4rem;
  }

}

@media (max-width: map_get($grid-breakpoints, sm)) {
  .mini-sidebar .main-container {
    margin: 4.5rem 0;
  }
}

.main-container-landing-page {
  margin: 6.5rem 0;
}

@media (max-width: map_get($grid-breakpoints, sm)) {
  .main-container-landing-page {
    margin: 2rem 0 5rem;
  }
}

.menu-list .active {
  color: inherit;
  background: #f2f4f8;
  border: inherit;
  border-left: 3px solid $primary;
}

.mockup-content {
  color: #000000 !important;
}

.mockup-editor {
  border-radius: 2px;
  height: 44px;
  border: #9B9B9B 1px solid;
  padding: 0.6em;
  color: #9B9B9B;
  overflow: hidden;

  &:hover {
    cursor: text;
  }
}

.navbar {
  padding: 0;
  height: 56px;
}

.navbar-brand {
  padding: 0.5rem 0 0.5rem 1rem;
}

.navbar-lower {
  margin-top: 3.5rem;
  height: 3rem;
  box-shadow: 0 0.25rem 0.5rem 0 rgba(0, 0, 0, 0.1);
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 80;
}

.navbar-shadow {
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.12);
}

.next-button{
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0.375rem 0.75rem !important;
  font-size: 1rem !important;
  line-height: 1.5;
  border-radius: 0.25rem !important;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

  color: #fff;
  background-color: $primary;
  border-color: 1px solid $primary !important;

  &:hover{
    background-color: #291420 !important;
    border-color: #201019 !important;
  }
}

.ng-touched.ng-invalid.ng-dirty {
  border-color: #dc3545
}

/* +dirty, wenn Fehler erst nach eingabe auftauchen soll */
.ng-touched.ng-invalid {
  border-color: #dc3545
}

@media (max-width: map_get($grid-breakpoints, sm)) {
  ngx-guided-tour .tour-step h2.tour-title {
    font-size: 25px !important;
  }

  ngx-guided-tour .tour-step.page-tour-step {
    max-width: 350px !important;
    width: 85% !important;
    top: 35% !important;
  }
}

.page-title {
  font-weight: bold;
  margin-left: 0.8rem;
}

.pic-hover-container {
  position: relative;
}

.pic-hover-container:hover .img-hoverable {
  opacity: 0.3;
}

.pic-hover-container:hover .pic-hover-content {
  opacity: 1;
}

.pic-hover-content {
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.pinboard-element {
  padding: 1.5rem 1rem 1rem 1rem;
  border-top: $gray-500 1px solid;
}

.post-comment-date-row {
  margin-top: -3px !important;
  margin-left: -8px;
}

.post-date {
  margin-top: -4px;
  font-size: 14px;
  color: #9B9B9B;
}

.post-date-row {
  margin-top: -6px !important;
}

.project-header {
  margin-bottom: 15px;
}

.project-title-edit {
  font-weight: bold;
  font-size: 26px;
}

.shadow {
  box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.12), 0 3px 6px 0 rgba(0, 0, 0, 0.12) !important;
}

.spinner {
  animation: rotate 1.5s linear infinite;
  transform-origin: center center;
  font-size: 30px;
}

.step {
  position: relative;
  float: left;
  padding: 0 5px;
}

.step p {
  color: #ccc;
}

.steps {
  overflow: hidden;
  position: relative;
  margin-top: 20px;
}

.step-icon {
  display: inline-block;
  width: 40px;
  height: 40px;
  margin-top: 4px;
  background: #ddd;
  font-size: 16px;
  color: #fff;
  line-height: 40px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
}

.step.activated .step-icon {
  background: #fff;
  border: 1px solid $primary;
  color: $primary;
  line-height: 38px;
}

.step.active .step-icon {
  width: 48px;
  height: 48px;
  margin-top: 0;
  background: $primary;
  font-size: 22px;
  line-height: 48px;
}

.step.activated p {
  color: $primary;
}

.step.active p {
  color: $primary;
}

@media (max-width: map_get($grid-breakpoints, md)) {
  .step-icon {
    margin-top: 8px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 15px;
  }

  .step.active .step-icon {
    margin-top: 4px;
    width: 38px;
    height: 38px;
    line-height: 38px;
    font-size: 19px;
  }

  .step.activated .step-icon {
    line-height: 30px;
  }

  .step p {
    font-size: 13px;
  }
}

.stepper-progress {
  position: absolute;
  top: 22px;
  left: 0;
  width: 100%;
  height: 1px;
  background: #ddd;
}

.stepper-progress .progress {
  height: 0.2rem;
}

.stripe-input {
  padding-top: 0.5rem;
}

.stripe-payment-method-radio{
  padding-left: 2rem;
}

.sub-checkboxes {
  padding-left: 0.8rem;
}

/*
 * Übersichtstabelle
 */

.table .mail-table td {
  border: inherit;
}

.table .mail-table tr {
  border-top: inherit;
}

.table-scroll {
  max-height: 30rem;
  overflow-x: scroll;
}

.table-middleborder {
  tr:first-child td {
    border-top: 0;
  }

  td {
    border-color: $gray-300;
  }
}

.table-min-padding {
  td {
    padding: 0.5rem 0.2rem;
  }
}

tr.date th {
  font-weight: normal;
  text-align: left;
  padding-left: 10px;
  border: none;
}

tr td.event {
  border: 2px solid #fff;
  max-width: 50px;
  width: 50px;
}

tr.header {
  background: $primary;
  color: #fff;
  font-size: 14px;
  height: 33px;
  border: none;
}

tr.header th.nonHeader {
  background-color: #fff;
  width: 182px;
  border: none;
}

tr td.name {
  background-color: #eaeaea;
  position: relative;
  min-width: 182px;
  width: 182px;
  height: 33px;
  border-top: 1px solid #fff;
  border-bottom: 2px solid #fff;
}

tr td.name div.name {
  text-align: left;
  font-size: 15px;
  line-height: 15px;
  padding: 8px 0 5px 0;
  margin-left: 4px;
  white-space: nowrap;
  overflow: hidden;
  max-width: 150px;
  width: 150px;
  position: relative;
}

tr td.register {
  background-color: #eaeaea;
  position: relative;
  min-width: 80px;
  height: 33px;
  border-top: 1px solid #fff;
  border-bottom: 2px solid #fff;
}

tr.time th {
  padding-top: 2px;
  padding-right: 0;
  padding-bottom: 2px;
  font-size: 12px;
  color: #323232;
  background-color: #fff;
  max-width: 50px;
  width: 50px;
}

tr.type th {
  background-color: #fff;
  max-width: 50px;
}

tr.typ th {
  font-weight: normal;
  text-align: center;
  padding-left: 0px;
  border-right: 2px solid #fff;
  font-size: 12px;
  color: #323232;
  background-color: #fff;
  max-width: 50px;
  width: 50px;
  height: 15px;
  overflow: hidden;
}

.toast {
  margin: 0;
}

.toast-timer {
  height: 3px;
  background: rgba(0, 0, 0, .25);
  -webkit-transition: all 0.1s ease;
  -moz-transition: all 0.1s ease;
  -o-transition: all 0.1s ease;
  transition: all 0.1s ease;
}

.user-pic {
  width: 2.65rem;
  border-radius: 100%;
  border: solid 1px #dddddd;
}

/* width */
::-webkit-scrollbar {
  width: 7px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: $primary;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: $primary;
}

.widget-minify, .widget-close {
  margin: 0 0.125rem;
  color: #9B9B9B;
}